List ScheduledEventConfigurations
curl --request GET \
--url https://api.m3ter.com/organizations/{orgId}/scheduledevents/configurations \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.m3ter.com/organizations/{orgId}/scheduledevents/configurations"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.m3ter.com/organizations/{orgId}/scheduledevents/configurations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "<string>",
"name": "10 days after bill due date",
"entity": "Bill",
"field": "dueDate",
"offset": 10,
"version": 123,
"dtCreated": "2023-11-07T05:31:56Z",
"dtLastModified": "2023-11-07T05:31:56Z",
"createdBy": "<string>",
"lastModifiedBy": "<string>"
}
],
"nextToken": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}List ScheduledEventConfigurations
Retrieve a list of ScheduledEventConfiguration entities
GET
/
organizations
/
{orgId}
/
scheduledevents
/
configurations
List ScheduledEventConfigurations
Authorizations
m3ter supports machine to machine authentication using the clientCredentials OAuth2 flow.
The authorizationCode flow controls access for human users via the m3ter Console application.
Path Parameters
UUID of the organization
Query Parameters
Number of ScheduledEventConfigurations to retrieve per page
Required range:
1 <= x <= 100nextToken for multi page retrievals
list of UUIDs to retrieve
⌘I